###############################################################################
# GT-Chat (http://www.gt-chat.de)                                             #
# GT-Chat 0.95 Copyright (c) 2006-2008 by Sascha Heldt                        #
###############################################################################
package GT_Chat::Info;
use strict;

bless({
	action_handlers => {
		'info' => \&info_handler,
	},
});

sub info_handler
{
	my($self,$main) = @_;

	$main->{template_vars}{backaddr} = $main->{input}{backaddr} if exists($main->{input}{backaddr});

	my $template = $main->{input}{template};
	$template = 'login' if (!defined($template));
	$template =~ s/[^\w\d_.]//g;
	$template =~ s/\./\//g;

	$main->printTemplate($template);
}
